
#ifndef XSLDBGDOC
#define XSLDBGDOC

#include <tqstring.h>

class XsldbgDoc {
 public:
  XsldbgDoc();
  XsldbgDoc(const TQString &fileName, const TQString &text);
  ~XsldbgDoc();

  TQString getText() const;
  TQString getFileName() const;

  void setRow(int row);
  int getRow();
  void setColumn(int column);
  int getColumn();

 private:
  TQString text;
  TQString fileName;
  int row, column;

};

#endif
